# Class Orientation

java.lang.Object
org.jmol.modelset.Orientation

public class Orientation extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`saveName`

## Constructor Summary

Constructors
Constructor
Description
`Orientation(Viewer vwr, boolean asDefault, float[] pymolView)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMoveToText(boolean asCommand)`
`boolean`
`restore(float timeSeconds, boolean isAll)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### saveName

public String saveName

## Constructor Details

### Orientation

public Orientation(Viewer vwr, boolean asDefault, float[] pymolView)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getMoveToText

public String getMoveToText(boolean asCommand)

### restore

public boolean restore(float timeSeconds, boolean isAll)